package filehandling;

# copyright 2003 by Stefan Heimann


sub backup_file { # remove existing backup and backup existing file through renaming
        my $File = $_[0]; # input: filepath

        if (-e $File) { # backup existing file
                my @Filetmp = split(/\./,$File);
                my $OldFile = $Filetmp[0]."\.old";
                if (-e $OldFile) { # remove old backup
                        unlink($OldFile);
                }
                rename($File,$OldFile); # rename existing file
                $File = $OldFile;
        }
	else { # -> new file
		$File ="#new#";
	}
	return $File;
}


sub rm_nullbytefiles { # remove created files, which have not any content
# input: array of filepaths

        foreach $File (@_) { # iterate list
                if (-z $File) { # file with filelength 0 : zero-byte-file -> delete
                        unlink($File);
                }
        }
}

1;