package texttools;

# copyright 2003 by Stefan Heimann


# by Michel Messerschmidt
# cut all control characters from end of input string
# all chars with ASCII code below 32 / 0x20 are considered control chars
sub chommp {
    my $in = $_[0];
    while ($in and ord(substr($in, $#in-1, 1)) < 32 ) {
        chop($in);
    }
    return $in;
}

sub shchommp { # cut all empty characters from end of input string
        my $in = $_[0];
        while ($in =~ /[\s\e\a]$/si) {
                chop($in);
        }
        return $in;
}

1;